Get chat details
curl --request GET \
--url https://interact.turntwo.com/api/agents/chats/{chat_id} \
--header 'X-API-Key: <api-key>' \
--header 'X-Organization-Id: <api-key>'import requests
url = "https://interact.turntwo.com/api/agents/chats/{chat_id}"
headers = {
"X-API-Key": "<api-key>",
"X-Organization-Id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', 'X-Organization-Id': '<api-key>'}
};
fetch('https://interact.turntwo.com/api/agents/chats/{chat_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"agent": {
"id": "<string>",
"name": "<string>"
},
"job": {
"id": "<string>",
"name": "<string>"
},
"organization": {
"id": "<string>",
"name": "<string>"
},
"status": "<string>",
"initiator": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"documents": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"type": "<string>",
"pdfLink": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Chats
Get chat details
Returns detailed information about a specific chat including documents
GET
/
api
/
agents
/
chats
/
{chat_id}
Get chat details
Authorizations
API key for authentication
Organization ID associated with the API key
Path Parameters
Chat ID
Response
Successful response
Chat ID
Agent information
Show child attributes
Show child attributes
Job information
Show child attributes
Show child attributes
Organization information
Show child attributes
Show child attributes
Chat status
Who initiated the chat
Chat creation timestamp
Show child attributes
Show child attributes
⌘I